<?LassoScript

_admin_addvar: 'email_action', -override=(action_param: 'email_action');

_admin_addvar: 'email_adminemail', -override=(action_param: 'email_adminemail');
_admin_addvar: 'email_adminhost', -override=(action_param: 'email_adminhost');
_admin_addvar: 'email_username', -override=(action_param: 'email_username');
_admin_addvar: 'email_password', -override=(action_param: 'email_password');
_admin_addvar: 'email_maxretries', -override=(action_param: 'email_maxretries');
_admin_addvar: 'email_retryseconds', -override=(action_param: 'email_retryseconds');
_admin_addvar: 'email_retainbody', -override=(action_param: 'email_retainbody');
_admin_addvar: 'email_retainsuccessful', -override=(action_param: 'email_retainsuccessful');
_admin_addvar: 'email_retainerror', -override=(action_param: 'email_retainerror');
_admin_addvar: 'email_deleteattachments', -override=(action_param: 'email_deleteattachments');
_admin_addvar: 'email_sweepdelay', -override=(action_param: 'email_sweepdelay');
_admin_addvar: 'email_tcptimeout', -override=(action_param: 'email_tcptimeout');




// ---------
// main

if: (var:'email_action') >> 'Update';

	if: ($email_adminhost != '') && ($email_adminhost !>> '||') && ($email_username != '') && ($email_password != '');
		var: 'email_adminhost' = $email_username + '||' + $email_password + '||' + $email_adminhost;
	/if;

	// Update the database
	inline: -database='site', -table='_outgoingemailprefs',
		-keyfield='id', -keyvalue='1',
		'defaulthost'=$email_adminhost,
		'maxretries'=$email_maxretries,
		'retryseconds'=$email_retryseconds,
		'adminemail'=$email_adminemail,
		'retainbody'=$email_retainbody,
		'retainsuccessful'=$email_retainsuccessful,
		'retainerror'=$email_retainerror,
		'deleteattachments'=$email_deleteattachments,
		'sleepseconds' =$email_sweepdelay,
		'tcptimeout'=$email_tcptimeout,
		-update;

		Global: '__SMTP_Preferences__' = (map);
		Loop: (Field_Name: -Count);
			(Global: '__SMTP_Preferences__')->(Insert: (Field_Name: Loop_Count)=(Field: (Field_Name: Loop_Count)));
		/Loop;

	/inline;

else: (var:'email_action') >> 'Stop Mail Queue';

	inline: -database='site', -table='_outgoingemailprefs',
		-keyfield='id', -keyvalue='1', 'Pause'='1',	-update;

		Global: '__SMTP_Preferences__' = (map);
		Loop: (Field_Name: -Count);
			(Global: '__SMTP_Preferences__')->(Insert: (Field_Name: Loop_Count)=(Field: (Field_Name: Loop_Count)));
		/Loop;

	/inline;

else: (var:'email_action') >> 'Resume Mail Queue';

	inline: -database='site', -table='_outgoingemailprefs',
	   -keyfield='id', -keyvalue='1', 'Pause'='0', -update;

		Global: '__SMTP_Preferences__' = (map);
		Loop: (Field_Name: -Count);
			(Global: '__SMTP_Preferences__')->(Insert: (Field_Name: Loop_Count)=(Field: (Field_Name: Loop_Count)));
		/Loop;

	/inline;
/if;

// Fetch the values from the database
inline: -database='site', -table='_outgoingemailprefs', -keyfield='id', 'id'='1', -search;
	var: 'email_adminhost'=(field:'defaulthost');
	
	if: ($email_adminhost >> '||');
		var: 'temp' = $email_adminhost->(split: '||');
		if: ($temp->size == 3);
			var: 'email_username' = $temp->(get:1);
			var: 'email_password' = $temp->(get:2);
			var: 'email_adminhost' = $temp->(get:3);
		/if;
	/if;
	var: 'email_maxretries'=(field:'maxretries');
	var: 'email_retryseconds'=(field:'retryseconds');
	var: 'email_adminemail'=(field:'adminemail');
	var: 'email_retainbody'=(field:'retainbody');
	var: 'email_retainsuccessful'=(field:'retainsuccessful');
	var: 'email_retainerror'=(field:'retainerror');
	var: 'email_deleteattachments'=(field:'deleteattachments');
	var: 'email_sweepdelay' =(field:'sleepseconds');
	var: 'email_tcptimeout'=(field:'tcptimeout');
	var: 'email_pause'=(field:'pause');
/inline;

?>
