[output_none]

[var: 'releasedate'='2003-11-04 12:00:00']

[var: 'mode'=(action_param: 'mode')]
[var: 'auth_mode'='none']
[var: 'username'='Administrator']
[var: 'password'='']

[if: (var:'mode')>>'redirect']
	[redirect_url: '/Lasso/Admin.LassoApp?tab1=setup']
[else: (_security_isserialized == true) && !((var:'mode') >> 'admin')]
	[var:'final_error'='Lasso Professional 7 has already been initialized.']
	[var:'mode'='final_error']
[else: !((var:'mode') >> 'expired')]
	[inline: -search, -database='lasso_internal', -table='global_prefs', -username='administrator', -password='', 'store_key'='lasso_install_date']
		[if: ((error_currenterror) >> 'user name') || ((error_currenterror) >> 'password')]
			[auth_admin]
			[var: 'username'=(client_username)]
			[var: 'password'=(client_password)]
			[var: 'mode'='expired_start']
		[/if]
	[/inline]
[else: (var: 'mode')>>'expired']
	[auth_admin]
	[var: 'username'=(client_username)]
	[var: 'password'=(client_password)]
[/if]

[if: (var:'mode')==''][var: 'mode'='admin_start'][/if]

[if: ((var:'mode')>>'admin_submit')]

	[var: 'admin_serial'=(action_param: 'admin_serial')]

	[var: 'admin_serial'=(string_replace: $admin_serial, -find='\t', -replace='')]
	[var: 'admin_serial'=(string_replace: $admin_serial, -find='\r', -replace='')]
	[var: 'admin_serial'=(string_replace: $admin_serial, -find='\n', -replace='')]
	[var: 'admin_serial'=(string_replace: $admin_serial, -find=' ', -replace='')]

	[if: (action_param: 'admin_serial') == '']
		// Serial number is empty, return error		 
		[var:'mode'='admin_error']
		[var:'admin_serial_error'='Please enter a serial number before continuing.']
	[else]
		[inline:-findall, -username=$username, -password=$password, -database='lasso_internal', -table='serial_numbers', -sortfield='id']
			[if: (found_count) == 0]
				[inline:-add, -username=$username, -password=$password, -database='lasso_internal', -table='serial_numbers', 
					'id'='1','serial'=(var:'admin_serial')]
					[if: error_currenterror:-errorcode]
						[var:'store_error'='Error storing serial number']
					[/if]
				[/inline]
			[else]
				[inline:-update, -username=$username, -password=$password, -database='lasso_internal', -table='serial_numbers', 
					-keyfield='id', -keyvalue=(field: 'id'), 'id'='1','serial'=(var:'admin_serial')]
					[if: error_currenterror:-errorcode]
						[var:'store_error'='Error storing serial number']
					[/if]
				[/inline]
			[/if]
		[/inline]

		[if: (_security_isserialized == false)]
			// Check serial number, return error if invalid
			[var:'mode'='admin_error']
			[var:'admin_serial_error'='Please enter a valid serial number before continuing.']
		[/if]
	[/if]

	[if: (action_param: 'admin_username')=='']
		[var:'mode'='admin_error']
		[var:'admin_username_error'='Please enter an administrator username.']
	[/if]

	[if: (action_param: 'admin_password')=='']
		[var:'mode'='admin_error']
		[var:'admin_password_error'='Your password must not be blank.']
	[else: (action_param: 'admin_password')!=(action_param: 'admin_confirm')]
		[var:'mode'='admin_error']
		[var:'admin_password_error'='Your password and confirmation must match.']
	[/if]

	[if: (var:'mode') != 'admin_error']
		[var: 'mode'='final_submit']
	[/if]
	
[/if]


[if: ((var:'mode')>>'expired_submit')]

	[var: 'admin_serial'=(action_param: 'admin_serial')]

	[var: 'admin_serial'=(string_replace: $admin_serial, -find='\t', -replace='')]
	[var: 'admin_serial'=(string_replace: $admin_serial, -find='\r', -replace='')]
	[var: 'admin_serial'=(string_replace: $admin_serial, -find='\n', -replace='')]
	[var: 'admin_serial'=(string_replace: $admin_serial, -find=' ', -replace='')]

	[if: (action_param: 'admin_serial') == '']
		// Serial number is empty, return error		 
		[var:'mode'='expired_error']
		[var:'expired_serial_error'='Please enter a serial number before continuing.']
	[else]
		[inline:-findall, -username=$username, -password=$password, -database='lasso_internal', -table='serial_numbers', -sortfield='id']
			[if: (found_count) == 0]
				[inline:-add, -username=$username, -password=$password, -database='lasso_internal', -table='serial_numbers', 
					'id'='1','serial'=(var:'admin_serial')]
					[if: error_currenterror:-errorcode]
						[var:'store_error'='Error storing serial number']
					[/if]
				[/inline]
			[else]
				[inline:-update, -username=$username, -password=$password, -database='lasso_internal', -table='serial_numbers', 
					-keyfield='id', -keyvalue=(field: 'id'), 'id'='1','serial'=(var:'admin_serial')]
					[if: error_currenterror:-errorcode]
						[var:'store_error'='Error storing serial number']
					[/if]
				[/inline]
			[/if]
		[/inline]

		[if: (_security_isserialized == false)]
			// Check serial number, return error if invalid
			[var:'mode'='expired_error']
			[var:'expired_serial_error'='Please enter a valid serial number before continuing.']
		[/if]
	[/if]

	[if: (var:'mode') != 'expired_error']
		[var: 'mode'='renewed_final']
	[/if]
	
[/if]

[if: ((var:'mode') >> 'final_submit') || ((var: 'mode') >> 'renewed_final')]

	// Delete and store the release date;
	[inline: -database='lasso_internal', -username=$username, -password=$password,
			 -sql='delete from lasso_internal.global_prefs where store_key = \'lasso_release_date\'']
	[/inline]
	[inline: -database='lasso_internal', -username=$username, -password=$password,
			 -sql='insert ignore into lasso_internal.global_prefs (store_key, data) values (\'lasso_release_date\', \'' + $releasedate + '\')']
	[/inline]
	
	// Delete and store the installation date;
	[inline: -database='lasso_internal', -username=$username, -password=$password,
			 -sql='delete from lasso_internal.global_prefs where store_key = \'lasso_install_date\'']
	[/inline]
	[inline: -database='lasso_internal', -username=$username, -password=$password,
			 -sql='insert ignore into lasso_internal.global_prefs (store_key, data) values (\'lasso_install_date\', now())']
	[/inline]
	
	// Flush the Sessions table;
	[inline: -database='site', -username=$username, -password=$password,
			 -sql='DELETE FROM sessions']
	[/inline]
	
	// Enable the LDML7_Reference Database
	[inline: -database='lasso_internal', -table='security_datasource_databases', -username=$username, -password=$password,
			-search, 'name'='LDML7_Reference', -returnfield='id']
		[if: (found_count) == 1]
			[inline: -database='lasso_internal', -table='security_datasource_databases', -username=$username, -password=$password,
				-update, -keyfield='id', -keyvalue=(field: 'id'), 'enabled'='Y']
			[/inline]
			[_datasource_reload: 1]
		[/if]
	[/inline]

[/if]

[if: ((var:'mode') >> 'final_submit')]

	// store resgistration status;
	[inline: -add, -username=$username, -password=$password, -database='lasso_internal', -table='global_prefs',
			'store_key'='lasso_register_status', 'data'='N']
		[if: error_currenterror:-errorcode]
			[var:'store_error'='Error storing registration information.']
		[/if]
	[/inline]

	// store resgistration date;
	[inline: -add, -username=$username, -password=$password, -database='lasso_internal', -table='global_prefs',
			'store_key'='lasso_register_date', 'data'='']
		[if: error_currenterror:-errorcode]
			[var:'store_error'='Error storing registration information.']
		[/if]
	[/inline]

	// Submit administrator username and password (last so default works in previous inlines);
	[inline:-database='lasso_internal', -username=$username, -password=$password,
			-sql='update lasso_internal.security_users set name=\'' + (action_param:'admin_username') + 
			'\', password=\'' + (encrypt_md5:(action_param:'admin_password')) + '\', created = now(), enabled=\'Y\' where id=2']
		
		[if: error_currenterror:-errorcode]
			[var:'store_error'='Error storing Admin username/password']
		[else]
			[_security_flushcaches]
		[/if]
	[/inline]
[/if]

[/output_none]

[if: (var:'mode')>>'admin']
<html>
<head>
<title>Lasso Professional 7: Initialization</title>
<style type="text/css"><!--
	body { font-family: Verdana, Arial, Helvetica, sans-serif }
	td { font-family: Verdana, Arial, Helvetica, sans-serif }
	a.tab:link {  color: #000000; text-decoration: none; font-family: Verdana, Arial, Helvetica, sans-serif}
	a.tab:hover {  color: #000000; text-decoration: none; font-family: Verdana, Arial, Helvetica, sans-serif}
	a.tab:visited {  color: #000000; text-decoration: none; font-family: Verdana, Arial, Helvetica, sans-serif}
--></style>
</head>

<body bgcolor="#FFFFFF">

<div align="center"> 
  <table width="836" border="0" cellspacing="0" cellpadding="0">
    <tr> 
      <td align="left" width="144"><img src="images/LP7_WhiteLogo.gif" width="144" height="36"></td>
      <td align="center" valign="bottom" width="548"> 
        <table width="108" border="0" cellspacing="0" cellpadding="0">
          <tr align="center"> 
            <td bgcolor="#999999" width="6" class="tab"><img src="images/tab_edge_left.gif" width="6" height="24"></td>
            <td bgcolor="#999999" width="96"><font size="2"><a class="tab" href="#top"><b>Initialize</b></a></font></td>
            <td bgcolor="#999999" width="6"><img src="images/tab_edge_right.gif" width="6" height="24"></td>
          </tr>
        </table>
      </td>
      <td align="right" width="144"><img src="images/logo_right.jpg" width="144" height="36"></td>
    </tr>
    <tr bgcolor="#999999"> 
      <td colspan="3" height="12">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="3" bgcolor="#EEEEEE"> 
        <table width="836" border="0" cellspacing="0" cellpadding="0">
          <tr><td colspan="5" height="12"></td></tr>
          <tr> 
            <td width="12">&nbsp;</td>
            <td valign="top" width="400" bgcolor="#CCCCCC"> 
              <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                <tr> 
                  <td valign="middle" align="left" height="36"><font size="2"><b>Welcome 
                    to Lasso Professional 7</b></font></td>
                </tr>
              </table>
              <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                <tr> 
                  <td> 
                    <p><font size="1">Before operating Lasso Professional 7, it 
                      needs to be initialized for use by completing the following 
                      steps:</font></p>
                    <font size="1"><ol>
		      <li><font size="1">Enter your serial number.</font></li>
                      <li><font size="1">Create an administrator username and password.</font></li>
		    </ol></font>
                    <p><font size="1">After these steps are completed you can 
                      access the administration interface to complete the setup 
                      and configuration and begin using Lasso Professional 7.</font></p>
                  </td>
                </tr>
              </table>
              <form action="http://www2.blueworld.com/eval/default.lasso" method="post" target="_new">
                <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                  <tr> 
                    <td valign="middle" align="left" height="36"><font size="2"><b>Where to Find Your Serial 
                      Number</b></font></td>
                  </tr>
                </table>
                <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                  <tr> 
                    <td> 
                      <p><font size="1">A serial number is required to run Lasso 
                        Professional 7. Your serial number can be found printed 
                        in boxed versions of Lasso Professional 7 and in the order 
                        confirmation email for electronic versions of Lasso Professional 
                        7.</font></p>
                      <p><font size="1">If you do not have a serial number, select 
                        the button below to request a free 30-day evaluation serial 
                        number.</font></p>
                    </td>
                  </tr>
                </table>
                <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                  <tr> 
                    <td align="center" valign="middle" height="36"> 
                      <input type="Submit" name="admin_action" value="Request Evaluation Serial Number">
                    </td>
                  </tr>
                </table>
              </form>
            </td>
            <td width="12">&nbsp;</td>
            <td valign="top" width="400" bgcolor="#CCCCCC"> 
               <form action="[response_filepath]" method="post" autocomplete="off">
              <input type="hidden" name="mode" value="admin_submit">
             <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                <tr> 
                  <td valign="middle" align="left" height="36" colspan="2"> 
                    <p><font size="2"><b>Enter Your Serial Number</b></font></p>
                  </td>
                </tr>
                  <tr> 
                    <td><b><font size="1">Serial Number</font></b></td>
                    <td><font size="1"> 
                      <input type="text" name="admin_serial" value="[action_param:'admin_serial']" size="32">
                      </font></td>
                  </tr>
[if: (var_defined:'admin_serial_error')]
                  <tr> 
                    <td>&nbsp;</td>
                    <td><font size="1" color="red"><b>[var:'admin_serial_error']</b></font></td>
                  </tr>
[/if]
                  <tr> 
                    <td>&nbsp;</td>
                    <td><font size="1">Please enter the entire serial number including 
                      the prefix. For example: &quot;LP7-[if: (lasso_version) >> 'Win32']WIN[else]MAC[/if]-123456789&quot;.</font></td>
                  </tr>
                <tr> 
                  <td valign="middle" align="left" height="36" colspan="2"> 
                    <p><font size="2"><b>Create an Administrator Username and Password</b></font></p>
                  </td>
                </tr>
                  <tr> 
                    <td><b><font size="1">Administrator Username</font></b></td>
                    <td><font size="1"> 
                      <input type="text" name="admin_username" value="[action_param:'admin_username']" size="32">
                      </font></td>
                  </tr>
[if: (var_defined:'admin_username_error')]
                  <tr> 
                    <td>&nbsp;</td>
                    <td><font size="1" color="red"><b>[var:'admin_username_error']</b></font></td>
                  </tr>
[/if]
                  <tr> 
                    <td><b><font size="1">Administrator Password</font></b></td>
                    <td><font size="1"> 
                      <input type="password" name="admin_password" value="[action_param:'admin_password']" size="32">
                      </font></td>
                  </tr>
                  <tr> 
                    <td><b><font size="1">Confirm Password</font></b></td>
                    <td><font size="1"> 
                      <input type="password" name="admin_confirm" value="[action_param:'admin_confirm']" size="32">
                      </font></td>
                  </tr>
[if: (var_defined:'admin_password_error')]
                  <tr> 
                    <td>&nbsp;</td>
                    <td><font size="1" color="red"><b>[var:'admin_password_error']</b></font></td>
                  </tr>
[/if]
                  <tr> 
                    <td><b></b></td>
                    <td><font size="1">This username and password will be required 
                      to administer Lasso Professional 7. Be sure to keep a copy 
                      of the values you enter.</font></td>
                  </tr>
                </table>
                <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                  <tr> 
                    <td align="right" valign="middle" height="36"> 
                      <input type="Submit" name="admin_action" value="Submit Information">
                    </td>
                  </tr>
                </table>
              </form>
            </td>
            <td width="12">&nbsp;</td>
          </tr>
          <tr><td colspan="5" height="12"></td></tr>
        </table>
      </td>
    </tr>
    <tr align="center"> 
      <td colspan="3" bgcolor="#999999"> 
        <table border="0" cellspacing="0" cellpadding="0" width="100%" height="16">
          <tr align="center"> 
            <td width="72"><font size="1"></font></td>
            <td><font size="1">Lasso Professional 7 &#149; Initialize</font></td>
            <td width="72"><font size="1"></font></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr align="center" valign="bottom"> 
      <td colspan="3" height="24"> 
        <table border="0" cellspacing="0" cellpadding="0" width="100%" height="16">
          <tr align="center" valign="bottom"> 
            <td align="left"><font size="1">&copy; 1996-[date->year] OmniPilot Software, 
              Inc. </font></td>
            <td width="50%" align="right">&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</div>
</body>
</html>

[else: (var:'mode')>>'expired']

<html>
<head>
<title>Lasso Professional 7: Initialization</title>
<style type="text/css"><!--
	body { font-family: Verdana, Arial, Helvetica, sans-serif }
	td { font-family: Verdana, Arial, Helvetica, sans-serif }
	a.tab:link {  color: #000000; text-decoration: none; font-family: Verdana, Arial, Helvetica, sans-serif}
	a.tab:hover {  color: #000000; text-decoration: none; font-family: Verdana, Arial, Helvetica, sans-serif}
	a.tab:visited {  color: #000000; text-decoration: none; font-family: Verdana, Arial, Helvetica, sans-serif}
--></style>
</head>

<body bgcolor="#FFFFFF">

<div align="center"> 
  <table width="836" border="0" cellspacing="0" cellpadding="0">
    <tr> 
      <td align="left" width="144"><img src="images/LP7_WhiteLogo.gif" width="144" height="36"></td>
      <td align="center" valign="bottom" width="548"> 
        <table width="108" border="0" cellspacing="0" cellpadding="0">
          <tr align="center"> 
            <td bgcolor="#999999" width="6" class="tab"><img src="images/tab_edge_left.gif" width="6" height="24"></td>
            <td bgcolor="#999999" width="96"><font size="2"><a class="tab" href="#top"><b>Initialize</b></a></font></td>
            <td bgcolor="#999999" width="6"><img src="images/tab_edge_right.gif" width="6" height="24"></td>
          </tr>
        </table>
      </td>
      <td align="right" width="144"><img src="images/logo_right.jpg" width="144" height="36"></td>
    </tr>
    <tr bgcolor="#999999"> 
      <td colspan="3" height="12">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="3" bgcolor="#EEEEEE"> 
        <table width="836" border="0" cellspacing="0" cellpadding="0">
          <tr><td colspan="5" height="12"></td></tr>
          <tr> 
            <td width="12">&nbsp;</td>
            <td valign="top" width="400" bgcolor="#CCCCCC"> 
              <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                <tr> 
                  <td valign="middle" align="left" height="36"><font size="2"><b>Welcome 
                    to Lasso Professional 7</b></font></td>
                </tr>
              </table>
              <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                <tr> 
                  <td> 
                    <p><font size="1">The evaluation serial number for Lasso Professional 7 has expired.
		    You must enter a valid serial number before you can continue to use Lasso Professional 7.</font></p>
                 </td>
                </tr>
              </table>
              <form action="http://store.blueworld.com/" method="post" target="_new">
                <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                  <tr> 
                    <td valign="middle" align="left" height="36"><font size="2"><b>Where to Find Your Serial 
                      Number</b></font></td>
                  </tr>
                </table>
                <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                  <tr> 
                    <td> 
                      <p><font size="1">A serial number is required to run Lasso 
                        Professional 7. Your serial number can be found printed 
                        in boxed versions of Lasso Professional 7 and in the order 
                        confirmation email for electronic versions of Lasso Professional 
                        7.</font></p>
                      <p><font size="1">If you do not have a serial number, select 
                        the button below to visit the OmniPilot store where you can purchase
			Lasso Professional 7.</font></p>
                    </td>
                  </tr>
                </table>
                <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                  <tr> 
                    <td align="center" valign="middle" height="36"> 
                      <input type="Submit" name="expired_action" value="Purchase Lasso Professional 7">
                    </td>
                  </tr>
                </table>
              </form>
            </td>
            <td width="12">&nbsp;</td>
            <td valign="top" width="400" bgcolor="#CCCCCC"> 
               <form action="[response_filepath]" method="post">
              <input type="hidden" name="mode" value="expired_submit" autocomplete="off">
             <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                <tr> 
                  <td valign="middle" align="left" height="36" colspan="2"> 
                    <p><font size="2"><b>Enter Your Serial Number</b></font></p>
                  </td>
                </tr>
                  <tr> 
                    <td><b><font size="1">Serial Number</font></b></td>
                    <td><font size="1"> 
                      <input type="text" name="admin_serial" value="[action_param:'admin_serial']" size="32">
                      </font></td>
                  </tr>
[if: (var_defined:'expired_serial_error')]
                  <tr> 
                    <td>&nbsp;</td>
                    <td><font size="1" color="red"><b>[var:'expired_serial_error']</b></font></td>
                  </tr>
[/if]
                  <tr> 
                    <td>&nbsp;</td>
                    <td><font size="1">Please enter the entire serial number including 
                      the prefix. For example: &quot;LP7-[if: (lasso_version) >> 'Win32']WIN[else]MAC[/if]-123456789&quot;.</font></td>
                  </tr>
              </table>
                <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                  <tr> 
                    <td align="right" valign="middle" height="36"> 
                      <input type="Submit" name="expired_action" value="Submit Serial Number">
                    </td>
                  </tr>
                </table>
              </form>
            </td>
            <td width="12">&nbsp;</td>
          </tr>
          <tr><td colspan="5" height="12"></td></tr>
        </table>
      </td>
    </tr>
    <tr align="center"> 
      <td colspan="3" bgcolor="#999999"> 
        <table border="0" cellspacing="0" cellpadding="0" width="100%" height="16">
          <tr align="center"> 
            <td width="72"><font size="1"></font></td>
            <td><font size="1">Lasso Professional 7 &#149; Initialize</font></td>
            <td width="72"><font size="1"></font></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr align="center" valign="bottom"> 
      <td colspan="3" height="24"> 
        <table border="0" cellspacing="0" cellpadding="0" width="100%" height="16">
          <tr align="center" valign="bottom"> 
            <td align="left"><font size="1">&copy; 1996-[date->year] OmniPilot Software, 
              Inc. </font></td>
            <td width="50%" align="right">&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</div>
</body>
</html>

[else: (var:'mode')>>'final']

<html>
<head>
<title>Lasso Professional 7</title>
<style type="text/css"><!--
	body { font-family: Verdana, Arial, Helvetica, sans-serif }
	td { font-family: Verdana, Arial, Helvetica, sans-serif }
	a.tab:link {  color: #000000; text-decoration: none; font-family: Verdana, Arial, Helvetica, sans-serif}
	a.tab:hover {  color: #000000; text-decoration: none; font-family: Verdana, Arial, Helvetica, sans-serif}
	a.tab:visited {  color: #000000; text-decoration: none; font-family: Verdana, Arial, Helvetica, sans-serif}
--></style>
</head>

<body bgcolor="#FFFFFF">

<div align="center"> 
  <table width="836" border="0" cellspacing="0" cellpadding="0">
    <tr> 
      <td align="left" width="144"><img src="images/LP7_WhiteLogo.gif" width="144" height="36"></td>
      <td align="center" valign="bottom" width="548"> 
        <table width="108" border="0" cellspacing="0" cellpadding="0">
          <tr align="center"> 
            <td bgcolor="#999999" width="6" class="tab"><img src="images/tab_edge_left.gif" width="6" height="24"></td>
            <td bgcolor="#999999" width="96"><font size="2"><a class="tab" href="#top"><b>Initialize</b></a></font></td>
            <td bgcolor="#999999" width="6"><img src="images/tab_edge_right.gif" width="6" height="24"></td>
          </tr>
        </table>
      </td>
      <td align="right" width="144"><img src="images/logo_right.jpg" width="144" height="36"></td>
    </tr>
    <tr bgcolor="#999999"> 
      <td colspan="3" height="12">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="3" bgcolor="#EEEEEE"> 
        <table width="836" border="0" cellspacing="0" cellpadding="0">
          <tr><td colspan="5" height="12"></td></tr>
          <tr> 
            <td width="12">&nbsp;</td>
            <td valign="top" width="400" bgcolor="#CCCCCC"> 
              <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                <tr> 
                  <td valign="middle" align="left" height="36"><font size="2"><b>Initialization 
                    Complete </b></font></td>
                </tr>
              </table>
              <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
[if: (var_defined:'final_error')]
                  <tr> 
                    <td><font size="1" color="red"><b>[var:'final_error']</b></font></td>
                  </tr>
[else]
                  <tr> 
                    <td><font size="1">Lasso Professional 7 has been successfully 
                      initialized.</font></td>
                  </tr>
[/if]
                <tr> 
                  <td> 
                    <font size="1">Please proceed to the
                    administration interface to continue with setup
                    and configuration of Lasso Professional 7.
                    Consult the Lasso Professional 7 Setup Guide for
                    full documentation.</font>
                  </td>
                </tr>
              </table>
              <form action="[response_filepath]" method="post">
	      <input type="hidden" name="mode" value="redirect">
                <table width="388" border="0" cellspacing="0" cellpadding="3" align="center">
                  <tr> 
                    <td align="center" valign="middle" height="36"> 
                      <input type="Submit" name="final_action" value="Open Lasso Administration">
                    </td>
                  </tr>
                </table>
              </form>
            </td>
            <td width="12">&nbsp;</td>
            <td valign="top" width="400">&nbsp;</td>
            <td width="12">&nbsp;</td>
          </tr>
          <tr><td colspan="5" height="12"></td></tr>
        </table>
      </td>
    </tr>
    <tr align="center"> 
      <td colspan="3" bgcolor="#999999"> 
        <table border="0" cellspacing="0" cellpadding="0" width="100%" height="16">
          <tr align="center"> 
            <td width="72"><font size="1"></font></td>
            <td><font size="1">Lasso Professional 7 &#149; Initialize</font></td>
            <td width="72"><font size="1"></font></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr align="center" valign="bottom"> 
      <td colspan="3" height="24"> 
        <table border="0" cellspacing="0" cellpadding="0" width="100%" height="16">
          <tr align="center" valign="bottom"> 
            <td align="left"><font size="1">&copy; 1996-[date->year] OmniPilot Software, 
              Inc. </font></td>
            <td width="50%" align="right">&nbsp;</font></td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</div>
</body>
</html>

[else]

<p>An unknown error occured.

[/if]
