<?LassoScript

_admin_addvar: -session='_browse', 'query_connectorid', -default=1, -override=(action_param: 'query_connectorid');
_admin_addvar: -session='_browse', 'query_hostid', -default=1, -override=(action_param: 'query_hostid');
_admin_addvar: -session='_browse', 'query_databaseid', -override=(action_param: 'query_databaseid');

_admin_addvar: 'query_action', -default='None', -override=(action_param: 'query_action');
_admin_addvar: 'query_mode', -session='_browse', -default='Hide';
_admin_addvar: 'query_sql';
_admin_addvar: 'query_history', -session='_browse', -default=(array);

_admin_addvar: 'query_showfields', -session='_browse', -default=8, -override=(action_param: 'query_showfields');
_admin_addvar: 'query_maxrecords', -session='_browse', -default=50, -override=(action_param: 'query_maxrecords');
_admin_addvar: 'query_fieldlimit', -session='_browse', -default='Yes', -override=(action_param: 'query_fieldlimit');
_admin_addvar: 'query_fieldheight', -session='_browse', -default=4, -override=(action_param: 'query_fieldheight');


//
// Maintain History
//

if: $query_action && (action_param:'sql');
	if: ($query_history->(last) != (action_param:'sql'));
		$query_history->(removeall:(action_param:'sql'));
		$query_history->(insert:(action_param:'sql'));
	/if;
	$query_sql = (action_param:'sql');
/if;
if: ($query_history->size) > 20;
	$query_history->(remove: 1);
/if;


//
// Build Menus
//

var: 'query_connectormap' = (array);
var: 'query_hostmap' = (array);
var: 'query_databasemap' = (array);

if: ($query_action >> 'Refresh');
	_admin_refreshsecurity;
/if;

var: 'temp_connectormap' = (_admin_listconnectors);
var: 'query_connectormap' = (array);
loop: $temp_connectormap->size;
	var: 'temp'=$temp_connectormap->(get:loop_count)->second;
	var: 'id'=$temp_connectormap->(get:loop_count)->first;
	if: !($temp->(find: 'name') >> 'FM');
		$query_connectormap->(insert: $id = $temp);
	/if;
/loop;
var: 'temp' = (_admin_defaultconnector: -id=$query_connectorid, $query_connectormap);
if: ($temp != null);
	var: 'query_connectorid' = $temp->first;
	var: 'query_connectordetail' = $temp->second;
	var: 'query_connectoralias' = $query_connectordetail->(find: 'alias');
else;
	var: 'query_connectorid' = 0;
	var: 'query_connectordetail' = null;
/if;

if: ($query_action >> 'Refresh') && ($query_connectorid != 0);
	_admin_refreshconnector: $query_connectorid;
/if;

if: ($query_connectorid > 0);
	var: 'query_hostmap' = (_admin_listhosts: $query_connectorid);
	var: 'temp' = (_admin_defaulthost: $query_hostid, $query_hostmap);
	if: ($temp != null);
		var: 'query_hostid' = $temp->first;
		var: 'query_hostdetail' = $temp->second;
	else;
		var: 'query_hostid' = 0;
		var: 'query_hostdetail' = null;
	/if;
else;
	var: 'query_hostid' = 0;
	var: 'query_hostdetail' = null;
/if;

if: ($query_hostid > 0);
	var: 'query_databasemap' = (_admin_listdatabases: $query_hostid);
	var: 'temp' = (_admin_defaultdatabase: $query_databaseid, $query_databasemap);
	if: ($temp != null);
		var: 'query_databaseid' = $temp->first;
		var: 'query_databasedetail' = $temp->second;
		var: 'query_databasename' = $query_databasedetail->(find: 'name');
		var: 'query_databasealias' = $query_databasedetail->(find: 'alias');
	else;
		var: 'query_databaseid' = 0;
		var: 'query_databasedetail' = null;
	/if;
else;
	var: 'query_databaseid' = 0;
	var: 'query_databasedetail' = null;
/if;


//
// Perform SQL Statement
//

if: ($query_action >> 'Show');

	var: 'query_mode' = 'Show';

else: ($query_action >> 'Hide');

	var: 'query_mode' = 'Hide';

else: ($query_action >> 'Reset');

	var: 'query_showfields' = 8;
	var: 'query_maxrecords' = 50;
	var: 'query_fieldlimit' = 'Yes';
	var: 'query_fieldheight' = 4;
	var: 'query_mode' = 'Show';

else: ($query_action >> 'Apply');

	var: 'query_mode' = 'Show';

/if;

?>
