<?LassoScript

// initialization stuff
// designed to be performed once
//if: !global('__RPC__INITTED__');	
library:lassoapp_link:'namespaces.lasso';
library:lassoapp_link:'xsd.lasso';	
library:lassoapp_link:'wsdl.lasso';	
library:lassoapp_link:'soap.lasso';
//$__RPC__INITTED__ = true;
///if;

if: !global('lp7_types.xsd')->isa:'xml';
	global('lp7_types.xsd') = xml:include:lassoapp_link:'lp7types.xsd';
/if;
if: global('XML_SCHEMA_URIS')->size == 0;
	global('XML_SCHEMA_URIS') = (:'http://www.w3.org/1999/XMLSchema', 'http://www.w3.org/2001/XMLSchema');
/if;
if: global('_xml_schema_cache')->size == 0;
	global('_xml_schema_cache')->deserialize(include:lassoapp_link:'XMLSchemaMap.xml');	
/if;



if:(action_param:'WSDL', -count);
	include:lassoapp_link:'LassoService.wsdl.lasso';
else:client_headers >> 'SOAPAction:';
	include:lassoapp_link:'soap_handler.lasso';
else:client_contenttype->beginsWith('text/xml');

    local:'post' = @client_postargs;

	content_type:'text/xml';
	protect;
        local:'rpc'=xml_rpc:#post;
        
        local:'tag' = #rpc->getMethod;
        local:'found'= @($__RPC__->(find:#tag));
 
        fail_if: #found == null, -1, 'The method was not found.';
    
        local:'response' = #found->(run:-params=(#rpc->getParams));

        $__HTML_REPLY__ = 
            (xml_rpc:(
                #response
                    ))->(response:-full=false, -fault=false);
        
        handle: (error_currenterror:-errorcode) != 0;
            $__HTML_REPLY__ = (xml_rpc:(array: -faultCode=(error_currenterror:-errorcode), -faultString=(error_currenterror)))->(response: -full=false, -fault=true);
        /handle;
	/protect;
/if;

?>